{
  traefik = {
    rule = "Host(`traefik.procopius.dk`)";
    service = "traefik";
    entryPoints = ["websecure"];
    middlewares = ["authelia"];
    tls.certResolver = "letsencrypt";
  };

  mail-acme = {
    rule = "Host(`mail.procopius.dk`) && PathPrefix(`/.well-known/acme-challenge/`)";
    service = "mail-acme";
    entryPoints = ["web"];
    priority = 1000;
    middlewares = [];
  };

  roundcube = {
    rule = "Host(`roundcube.procopius.dk`)";
    service = "roundcube";
    entryPoints = ["websecure"];
    tls.certResolver = "letsencrypt";
  };

  forgejo = {
    rule = "Host(`git.procopius.dk`)";
    service = "forgejo";
    entryPoints = ["websecure"];
    tls.certResolver = "letsencrypt";
  };
  proxmox = {
    rule = "Host(`proxmox.procopius.dk`)";
    service = "proxmox";
    entryPoints = ["websecure"];
    middlewares = ["authelia"];
    tls.certResolver = "letsencrypt";
  };
  nas = {
    rule = "Host(`nas.procopius.dk`)";
    service = "nas";
    entryPoints = ["websecure"];
    tls.certResolver = "letsencrypt";
  };
}
